# Pytzer: Pitzer model for chemical activities in aqueous solutions.
# Copyright (C) 2019  Matthew Paul Humphreys  (GNU GPLv3)
from .. import parameters as prm
from .. import debyehueckel, unsymmetrical
name = 'HMW84'
dh = {'Aosm': debyehueckel.Aosm_M88}
jfunc = unsymmetrical.Harvie
bC = {}
bC['Na-Cl'] = prm.bC_Na_Cl_HMW84
bC['Na-SO4'] = prm.bC_Na_SO4_HMW84
bC['Na-HSO4'] = prm.bC_Na_HSO4_HMW84
bC['Na-OH'] = prm.bC_Na_OH_HMW84
bC['Na-HCO3'] = prm.bC_Na_HCO3_HMW84
bC['Na-CO3'] = prm.bC_Na_CO3_HMW84
bC['K-Cl'] = prm.bC_K_Cl_HMW84
bC['K-SO4'] = prm.bC_K_SO4_HMW84
bC['K-HSO4'] = prm.bC_K_HSO4_HMW84
bC['K-OH'] = prm.bC_K_OH_HMW84
bC['K-HCO3'] = prm.bC_K_HCO3_HMW84
bC['K-CO3'] = prm.bC_K_CO3_HMW84
bC['Ca-Cl'] = prm.bC_Ca_Cl_HMW84
bC['Ca-SO4'] = prm.bC_Ca_SO4_HMW84
bC['Ca-HSO4'] = prm.bC_Ca_HSO4_HMW84
bC['Ca-OH'] = prm.bC_Ca_OH_HMW84
bC['Ca-HCO3'] = prm.bC_Ca_HCO3_HMW84
bC['Ca-CO3'] = prm.bC_Ca_CO3_HMW84
bC['Mg-Cl'] = prm.bC_Mg_Cl_HMW84
bC['Mg-SO4'] = prm.bC_Mg_SO4_HMW84
bC['Mg-HSO4'] = prm.bC_Mg_HSO4_HMW84
bC['Mg-OH'] = prm.bC_Mg_OH_HMW84
bC['Mg-HCO3'] = prm.bC_Mg_HCO3_HMW84
bC['Mg-CO3'] = prm.bC_Mg_CO3_HMW84
bC['MgOH-Cl'] = prm.bC_MgOH_Cl_HMW84
bC['MgOH-SO4'] = prm.bC_MgOH_SO4_HMW84
bC['MgOH-HSO4'] = prm.bC_MgOH_HSO4_HMW84
bC['MgOH-OH'] = prm.bC_MgOH_OH_HMW84
bC['MgOH-HCO3'] = prm.bC_MgOH_HCO3_HMW84
bC['MgOH-CO3'] = prm.bC_MgOH_CO3_HMW84
bC['H-Cl'] = prm.bC_H_Cl_HMW84
bC['H-SO4'] = prm.bC_H_SO4_HMW84
bC['H-HSO4'] = prm.bC_H_HSO4_HMW84
bC['H-OH'] = prm.bC_H_OH_HMW84
bC['H-HCO3'] = prm.bC_H_HCO3_HMW84
bC['H-CO3'] = prm.bC_H_CO3_HMW84
theta = {}
psi = {}
theta['Cl-SO4'] = prm.theta_Cl_SO4_HMW84
psi['Na-Cl-SO4'] = prm.psi_Na_Cl_SO4_HMW84
psi['K-Cl-SO4'] = prm.psi_K_Cl_SO4_HMW84
psi['Ca-Cl-SO4'] = prm.psi_Ca_Cl_SO4_HMW84
psi['Mg-Cl-SO4'] = prm.psi_Mg_Cl_SO4_HMW84
psi['MgOH-Cl-SO4'] = prm.psi_MgOH_Cl_SO4_HMW84
psi['H-Cl-SO4'] = prm.psi_H_Cl_SO4_HMW84
theta['Cl-HSO4'] = prm.theta_Cl_HSO4_HMW84
psi['Na-Cl-HSO4'] = prm.psi_Na_Cl_HSO4_HMW84
psi['K-Cl-HSO4'] = prm.psi_K_Cl_HSO4_HMW84
psi['Ca-Cl-HSO4'] = prm.psi_Ca_Cl_HSO4_HMW84
psi['Mg-Cl-HSO4'] = prm.psi_Mg_Cl_HSO4_HMW84
psi['MgOH-Cl-HSO4'] = prm.psi_MgOH_Cl_HSO4_HMW84
psi['H-Cl-HSO4'] = prm.psi_H_Cl_HSO4_HMW84
theta['Cl-OH'] = prm.theta_Cl_OH_HMW84
psi['Na-Cl-OH'] = prm.psi_Na_Cl_OH_HMW84
psi['K-Cl-OH'] = prm.psi_K_Cl_OH_HMW84
psi['Ca-Cl-OH'] = prm.psi_Ca_Cl_OH_HMW84
psi['Mg-Cl-OH'] = prm.psi_Mg_Cl_OH_HMW84
psi['MgOH-Cl-OH'] = prm.psi_MgOH_Cl_OH_HMW84
psi['H-Cl-OH'] = prm.psi_H_Cl_OH_HMW84
theta['Cl-HCO3'] = prm.theta_Cl_HCO3_HMW84
psi['Na-Cl-HCO3'] = prm.psi_Na_Cl_HCO3_HMW84
psi['K-Cl-HCO3'] = prm.psi_K_Cl_HCO3_HMW84
psi['Ca-Cl-HCO3'] = prm.psi_Ca_Cl_HCO3_HMW84
psi['Mg-Cl-HCO3'] = prm.psi_Mg_Cl_HCO3_HMW84
psi['MgOH-Cl-HCO3'] = prm.psi_MgOH_Cl_HCO3_HMW84
psi['H-Cl-HCO3'] = prm.psi_H_Cl_HCO3_HMW84
theta['CO3-Cl'] = prm.theta_CO3_Cl_HMW84
psi['Na-CO3-Cl'] = prm.psi_Na_CO3_Cl_HMW84
psi['K-CO3-Cl'] = prm.psi_K_CO3_Cl_HMW84
psi['Ca-CO3-Cl'] = prm.psi_Ca_CO3_Cl_HMW84
psi['Mg-CO3-Cl'] = prm.psi_Mg_CO3_Cl_HMW84
psi['MgOH-CO3-Cl'] = prm.psi_MgOH_CO3_Cl_HMW84
psi['H-CO3-Cl'] = prm.psi_H_CO3_Cl_HMW84
theta['HSO4-SO4'] = prm.theta_HSO4_SO4_HMW84
psi['Na-HSO4-SO4'] = prm.psi_Na_HSO4_SO4_HMW84
psi['K-HSO4-SO4'] = prm.psi_K_HSO4_SO4_HMW84
psi['Ca-HSO4-SO4'] = prm.psi_Ca_HSO4_SO4_HMW84
psi['Mg-HSO4-SO4'] = prm.psi_Mg_HSO4_SO4_HMW84
psi['MgOH-HSO4-SO4'] = prm.psi_MgOH_HSO4_SO4_HMW84
psi['H-HSO4-SO4'] = prm.psi_H_HSO4_SO4_HMW84
theta['OH-SO4'] = prm.theta_OH_SO4_HMW84
psi['Na-OH-SO4'] = prm.psi_Na_OH_SO4_HMW84
psi['K-OH-SO4'] = prm.psi_K_OH_SO4_HMW84
psi['Ca-OH-SO4'] = prm.psi_Ca_OH_SO4_HMW84
psi['Mg-OH-SO4'] = prm.psi_Mg_OH_SO4_HMW84
psi['MgOH-OH-SO4'] = prm.psi_MgOH_OH_SO4_HMW84
psi['H-OH-SO4'] = prm.psi_H_OH_SO4_HMW84
theta['HCO3-SO4'] = prm.theta_HCO3_SO4_HMW84
psi['Na-HCO3-SO4'] = prm.psi_Na_HCO3_SO4_HMW84
psi['K-HCO3-SO4'] = prm.psi_K_HCO3_SO4_HMW84
psi['Ca-HCO3-SO4'] = prm.psi_Ca_HCO3_SO4_HMW84
psi['Mg-HCO3-SO4'] = prm.psi_Mg_HCO3_SO4_HMW84
psi['MgOH-HCO3-SO4'] = prm.psi_MgOH_HCO3_SO4_HMW84
psi['H-HCO3-SO4'] = prm.psi_H_HCO3_SO4_HMW84
theta['CO3-SO4'] = prm.theta_CO3_SO4_HMW84
psi['Na-CO3-SO4'] = prm.psi_Na_CO3_SO4_HMW84
psi['K-CO3-SO4'] = prm.psi_K_CO3_SO4_HMW84
psi['Ca-CO3-SO4'] = prm.psi_Ca_CO3_SO4_HMW84
psi['Mg-CO3-SO4'] = prm.psi_Mg_CO3_SO4_HMW84
psi['MgOH-CO3-SO4'] = prm.psi_MgOH_CO3_SO4_HMW84
psi['H-CO3-SO4'] = prm.psi_H_CO3_SO4_HMW84
theta['HSO4-OH'] = prm.theta_HSO4_OH_HMW84
psi['Na-HSO4-OH'] = prm.psi_Na_HSO4_OH_HMW84
psi['K-HSO4-OH'] = prm.psi_K_HSO4_OH_HMW84
psi['Ca-HSO4-OH'] = prm.psi_Ca_HSO4_OH_HMW84
psi['Mg-HSO4-OH'] = prm.psi_Mg_HSO4_OH_HMW84
psi['MgOH-HSO4-OH'] = prm.psi_MgOH_HSO4_OH_HMW84
psi['H-HSO4-OH'] = prm.psi_H_HSO4_OH_HMW84
theta['HCO3-HSO4'] = prm.theta_HCO3_HSO4_HMW84
psi['Na-HCO3-HSO4'] = prm.psi_Na_HCO3_HSO4_HMW84
psi['K-HCO3-HSO4'] = prm.psi_K_HCO3_HSO4_HMW84
psi['Ca-HCO3-HSO4'] = prm.psi_Ca_HCO3_HSO4_HMW84
psi['Mg-HCO3-HSO4'] = prm.psi_Mg_HCO3_HSO4_HMW84
psi['MgOH-HCO3-HSO4'] = prm.psi_MgOH_HCO3_HSO4_HMW84
psi['H-HCO3-HSO4'] = prm.psi_H_HCO3_HSO4_HMW84
theta['CO3-HSO4'] = prm.theta_CO3_HSO4_HMW84
psi['Na-CO3-HSO4'] = prm.psi_Na_CO3_HSO4_HMW84
psi['K-CO3-HSO4'] = prm.psi_K_CO3_HSO4_HMW84
psi['Ca-CO3-HSO4'] = prm.psi_Ca_CO3_HSO4_HMW84
psi['Mg-CO3-HSO4'] = prm.psi_Mg_CO3_HSO4_HMW84
psi['MgOH-CO3-HSO4'] = prm.psi_MgOH_CO3_HSO4_HMW84
psi['H-CO3-HSO4'] = prm.psi_H_CO3_HSO4_HMW84
theta['HCO3-OH'] = prm.theta_HCO3_OH_HMW84
psi['Na-HCO3-OH'] = prm.psi_Na_HCO3_OH_HMW84
psi['K-HCO3-OH'] = prm.psi_K_HCO3_OH_HMW84
psi['Ca-HCO3-OH'] = prm.psi_Ca_HCO3_OH_HMW84
psi['Mg-HCO3-OH'] = prm.psi_Mg_HCO3_OH_HMW84
psi['MgOH-HCO3-OH'] = prm.psi_MgOH_HCO3_OH_HMW84
psi['H-HCO3-OH'] = prm.psi_H_HCO3_OH_HMW84
theta['CO3-OH'] = prm.theta_CO3_OH_HMW84
psi['Na-CO3-OH'] = prm.psi_Na_CO3_OH_HMW84
psi['K-CO3-OH'] = prm.psi_K_CO3_OH_HMW84
psi['Ca-CO3-OH'] = prm.psi_Ca_CO3_OH_HMW84
psi['Mg-CO3-OH'] = prm.psi_Mg_CO3_OH_HMW84
psi['MgOH-CO3-OH'] = prm.psi_MgOH_CO3_OH_HMW84
psi['H-CO3-OH'] = prm.psi_H_CO3_OH_HMW84
theta['CO3-HCO3'] = prm.theta_CO3_HCO3_HMW84
psi['Na-CO3-HCO3'] = prm.psi_Na_CO3_HCO3_HMW84
psi['K-CO3-HCO3'] = prm.psi_K_CO3_HCO3_HMW84
psi['Ca-CO3-HCO3'] = prm.psi_Ca_CO3_HCO3_HMW84
psi['Mg-CO3-HCO3'] = prm.psi_Mg_CO3_HCO3_HMW84
psi['MgOH-CO3-HCO3'] = prm.psi_MgOH_CO3_HCO3_HMW84
psi['H-CO3-HCO3'] = prm.psi_H_CO3_HCO3_HMW84
theta['K-Na'] = prm.theta_K_Na_HMW84
psi['K-Na-Cl'] = prm.psi_K_Na_Cl_HMW84
psi['K-Na-SO4'] = prm.psi_K_Na_SO4_HMW84
psi['K-Na-HSO4'] = prm.psi_K_Na_HSO4_HMW84
psi['K-Na-OH'] = prm.psi_K_Na_OH_HMW84
psi['K-Na-HCO3'] = prm.psi_K_Na_HCO3_HMW84
psi['K-Na-CO3'] = prm.psi_K_Na_CO3_HMW84
theta['Ca-Na'] = prm.theta_Ca_Na_HMW84
psi['Ca-Na-Cl'] = prm.psi_Ca_Na_Cl_HMW84
psi['Ca-Na-SO4'] = prm.psi_Ca_Na_SO4_HMW84
psi['Ca-Na-HSO4'] = prm.psi_Ca_Na_HSO4_HMW84
psi['Ca-Na-OH'] = prm.psi_Ca_Na_OH_HMW84
psi['Ca-Na-HCO3'] = prm.psi_Ca_Na_HCO3_HMW84
psi['Ca-Na-CO3'] = prm.psi_Ca_Na_CO3_HMW84
theta['Mg-Na'] = prm.theta_Mg_Na_HMW84
psi['Mg-Na-Cl'] = prm.psi_Mg_Na_Cl_HMW84
psi['Mg-Na-SO4'] = prm.psi_Mg_Na_SO4_HMW84
psi['Mg-Na-HSO4'] = prm.psi_Mg_Na_HSO4_HMW84
psi['Mg-Na-OH'] = prm.psi_Mg_Na_OH_HMW84
psi['Mg-Na-HCO3'] = prm.psi_Mg_Na_HCO3_HMW84
psi['Mg-Na-CO3'] = prm.psi_Mg_Na_CO3_HMW84
theta['MgOH-Na'] = prm.theta_MgOH_Na_HMW84
psi['MgOH-Na-Cl'] = prm.psi_MgOH_Na_Cl_HMW84
psi['MgOH-Na-SO4'] = prm.psi_MgOH_Na_SO4_HMW84
psi['MgOH-Na-HSO4'] = prm.psi_MgOH_Na_HSO4_HMW84
psi['MgOH-Na-OH'] = prm.psi_MgOH_Na_OH_HMW84
psi['MgOH-Na-HCO3'] = prm.psi_MgOH_Na_HCO3_HMW84
psi['MgOH-Na-CO3'] = prm.psi_MgOH_Na_CO3_HMW84
theta['H-Na'] = prm.theta_H_Na_HMW84
psi['H-Na-Cl'] = prm.psi_H_Na_Cl_HMW84
psi['H-Na-SO4'] = prm.psi_H_Na_SO4_HMW84
psi['H-Na-HSO4'] = prm.psi_H_Na_HSO4_HMW84
psi['H-Na-OH'] = prm.psi_H_Na_OH_HMW84
psi['H-Na-HCO3'] = prm.psi_H_Na_HCO3_HMW84
psi['H-Na-CO3'] = prm.psi_H_Na_CO3_HMW84
theta['Ca-K'] = prm.theta_Ca_K_HMW84
psi['Ca-K-Cl'] = prm.psi_Ca_K_Cl_HMW84
psi['Ca-K-SO4'] = prm.psi_Ca_K_SO4_HMW84
psi['Ca-K-HSO4'] = prm.psi_Ca_K_HSO4_HMW84
psi['Ca-K-OH'] = prm.psi_Ca_K_OH_HMW84
psi['Ca-K-HCO3'] = prm.psi_Ca_K_HCO3_HMW84
psi['Ca-K-CO3'] = prm.psi_Ca_K_CO3_HMW84
theta['K-Mg'] = prm.theta_K_Mg_HMW84
psi['K-Mg-Cl'] = prm.psi_K_Mg_Cl_HMW84
psi['K-Mg-SO4'] = prm.psi_K_Mg_SO4_HMW84
psi['K-Mg-HSO4'] = prm.psi_K_Mg_HSO4_HMW84
psi['K-Mg-OH'] = prm.psi_K_Mg_OH_HMW84
psi['K-Mg-HCO3'] = prm.psi_K_Mg_HCO3_HMW84
psi['K-Mg-CO3'] = prm.psi_K_Mg_CO3_HMW84
theta['K-MgOH'] = prm.theta_K_MgOH_HMW84
psi['K-MgOH-Cl'] = prm.psi_K_MgOH_Cl_HMW84
psi['K-MgOH-SO4'] = prm.psi_K_MgOH_SO4_HMW84
psi['K-MgOH-HSO4'] = prm.psi_K_MgOH_HSO4_HMW84
psi['K-MgOH-OH'] = prm.psi_K_MgOH_OH_HMW84
psi['K-MgOH-HCO3'] = prm.psi_K_MgOH_HCO3_HMW84
psi['K-MgOH-CO3'] = prm.psi_K_MgOH_CO3_HMW84
theta['H-K'] = prm.theta_H_K_HMW84
psi['H-K-Cl'] = prm.psi_H_K_Cl_HMW84
psi['H-K-SO4'] = prm.psi_H_K_SO4_HMW84
psi['H-K-HSO4'] = prm.psi_H_K_HSO4_HMW84
psi['H-K-OH'] = prm.psi_H_K_OH_HMW84
psi['H-K-HCO3'] = prm.psi_H_K_HCO3_HMW84
psi['H-K-CO3'] = prm.psi_H_K_CO3_HMW84
theta['Ca-Mg'] = prm.theta_Ca_Mg_HMW84
psi['Ca-Mg-Cl'] = prm.psi_Ca_Mg_Cl_HMW84
psi['Ca-Mg-SO4'] = prm.psi_Ca_Mg_SO4_HMW84
psi['Ca-Mg-HSO4'] = prm.psi_Ca_Mg_HSO4_HMW84
psi['Ca-Mg-OH'] = prm.psi_Ca_Mg_OH_HMW84
psi['Ca-Mg-HCO3'] = prm.psi_Ca_Mg_HCO3_HMW84
psi['Ca-Mg-CO3'] = prm.psi_Ca_Mg_CO3_HMW84
theta['Ca-MgOH'] = prm.theta_Ca_MgOH_HMW84
psi['Ca-MgOH-Cl'] = prm.psi_Ca_MgOH_Cl_HMW84
psi['Ca-MgOH-SO4'] = prm.psi_Ca_MgOH_SO4_HMW84
psi['Ca-MgOH-HSO4'] = prm.psi_Ca_MgOH_HSO4_HMW84
psi['Ca-MgOH-OH'] = prm.psi_Ca_MgOH_OH_HMW84
psi['Ca-MgOH-HCO3'] = prm.psi_Ca_MgOH_HCO3_HMW84
psi['Ca-MgOH-CO3'] = prm.psi_Ca_MgOH_CO3_HMW84
theta['Ca-H'] = prm.theta_Ca_H_HMW84
psi['Ca-H-Cl'] = prm.psi_Ca_H_Cl_HMW84
psi['Ca-H-SO4'] = prm.psi_Ca_H_SO4_HMW84
psi['Ca-H-HSO4'] = prm.psi_Ca_H_HSO4_HMW84
psi['Ca-H-OH'] = prm.psi_Ca_H_OH_HMW84
psi['Ca-H-HCO3'] = prm.psi_Ca_H_HCO3_HMW84
psi['Ca-H-CO3'] = prm.psi_Ca_H_CO3_HMW84
theta['Mg-MgOH'] = prm.theta_Mg_MgOH_HMW84
psi['Mg-MgOH-Cl'] = prm.psi_Mg_MgOH_Cl_HMW84
psi['Mg-MgOH-SO4'] = prm.psi_Mg_MgOH_SO4_HMW84
psi['Mg-MgOH-HSO4'] = prm.psi_Mg_MgOH_HSO4_HMW84
psi['Mg-MgOH-OH'] = prm.psi_Mg_MgOH_OH_HMW84
psi['Mg-MgOH-HCO3'] = prm.psi_Mg_MgOH_HCO3_HMW84
psi['Mg-MgOH-CO3'] = prm.psi_Mg_MgOH_CO3_HMW84
theta['H-Mg'] = prm.theta_H_Mg_HMW84
psi['H-Mg-Cl'] = prm.psi_H_Mg_Cl_HMW84
psi['H-Mg-SO4'] = prm.psi_H_Mg_SO4_HMW84
psi['H-Mg-HSO4'] = prm.psi_H_Mg_HSO4_HMW84
psi['H-Mg-OH'] = prm.psi_H_Mg_OH_HMW84
psi['H-Mg-HCO3'] = prm.psi_H_Mg_HCO3_HMW84
psi['H-Mg-CO3'] = prm.psi_H_Mg_CO3_HMW84
theta['H-MgOH'] = prm.theta_H_MgOH_HMW84
psi['H-MgOH-Cl'] = prm.psi_H_MgOH_Cl_HMW84
psi['H-MgOH-SO4'] = prm.psi_H_MgOH_SO4_HMW84
psi['H-MgOH-HSO4'] = prm.psi_H_MgOH_HSO4_HMW84
psi['H-MgOH-OH'] = prm.psi_H_MgOH_OH_HMW84
psi['H-MgOH-HCO3'] = prm.psi_H_MgOH_HCO3_HMW84
psi['H-MgOH-CO3'] = prm.psi_H_MgOH_CO3_HMW84
lambd={}
lambd['CO2_H'] = prm.lambd_CO2_H_HMW84
lambd['CO2_Na'] = prm.lambd_CO2_Na_HMW84
lambd['CO2_K'] = prm.lambd_CO2_K_HMW84
lambd['CO2_Ca'] = prm.lambd_CO2_Ca_HMW84
lambd['CO2_Mg'] = prm.lambd_CO2_Mg_HMW84
lambd['CO2_Cl'] = prm.lambd_CO2_Cl_HMW84
lambd['CO2_SO4'] = prm.lambd_CO2_SO4_HMW84
lambd['CO2_HSO4'] = prm.lambd_CO2_HSO4_HMW84
